ip_mreq_source(2type)

NAME
ip_mreq_source - IP multicast request source

LIBRARY
Standard C library (libc)

SYNOPSIS
#include <netinet/in.h>

    struct ip_mreq_source {
        struct in_addr  imr_multiaddr;   /* IP multicast group address */
        struct in_addr  imr_interface;   /* IP address of local interface */
        struct in_addr  imr_sourceaddr;  /* IP address of multicast source */
    };

DESCRIPTION
The ip_mreq_source structure is similar to the ip_mreqn(2type) structure.

.imr_multiaddr
    The address of the multicast group the application wants to join or leave.

.imr_interface
    The address of the local interface with which the system should join or leave the multicast group.

.imr_sourceaddr
    The address of the source the application wants to receive data from.

HISTORY
Linux 2.4.22, Linux 2.5.68.

SEE ALSO
IP_ADD_SOURCE_MEMBERSHIP(2const), IP_BLOCK_SOURCE(2const), IP_DROP_SOURCE_MEMBERSHIP(2const), IP_UNBLOCK_SOURCE(2const), ip(7).